/*
 *  rectangle.cpp
 *  emptyExample
 *
 *  Created by Kate Watkins on 9/9/11.
 *  Copyright 2011 Parsons New School of Design. All rights reserved.
 *
 */

#include "rectangle.h"

//------------------------------------------------------------------
rectangle::rectangle(){	
}
//------------------------------------------------------------------
void rectangle::draw() {
	ofFill();
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
    ofSetColor(0,100,150,80);
    ofRect(pos.x, pos.y, 25, 25);
}
//------------------------------------------------------------------
void rectangle::interpolateByPct(float myPct){
	pct = myPct;
	
	pos.x = (1-pct) * posA.x + (pct) * posB.x;
	pos.y = (1-pct) * posA.y + (pct) * posB.y;
	
}
