#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	ofBackground(200,200,200);
	
	myRectangle.posA.x = 100;
	myRectangle.posA.y = 100;
	
	myRectangle.posB.x = 400; 
	myRectangle.posB.y = 140; 
	
	//click.x = 0;
	//click.y = 0; //doesn't alternate between posA and posB, but it will move to where you click the mouse
	
	myRectangle.interpolateByPct(0); 
	pct = 0; 
	clicks = 0; 
}
//--------------------------------------------------------------
void testApp::update(){
	
	pct += 0.01f;							// increase by a certain amount
	if (pct > 1) {
		pct = 0;							// just between 0 and 1 (0% and 100%)
	}	
	
	myRectangle.interpolateByPct(pct);		// go between pta and ptb
	
	//myRectangle.posB.x = click.x;
	//myRectangle.posB.y = click.y;
	
	//myRectangle.posA.x= myRectangle.posB.x;
	//myRectangle.posA.y= myRectangle.posB.y;
	
}
//--------------------------------------------------------------
void testApp::draw(){
	
	myRectangle.draw(); 
}
//--------------------------------------------------------------
void testApp::keyPressed(int key){
}
//--------------------------------------------------------------
void testApp::keyReleased(int key){
}
//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}
//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}
//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){		
	
	clicks++; 
	
	if(clicks ==1) {
		myRectangle.posA.x = mouseX; 
		myRectangle.posA.y = mouseY; 
	}
	else if(clicks == 2) {
		myRectangle.posB.x = mouseX; 
		myRectangle.posB.y = mouseY;
		
		clicks = 0; 
	}
}
//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

	//myRectangle.pos.x = myRectangle.posA.x; 
	//myRectangle.pos.y = myRectangle.posA.y;
	
	//click.x = x; 
	//click.y = y; 	
}
//--------------------------------------------------------------
void testApp::windowResized(int w, int h){
}
//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){
}
//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){ 
}